Skip to main content
GET
/
campaigns
/
{campaignId}
/
creative-collections
/
{collectionId}
Get creative collection
curl --request GET \
  --url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creative-collections/{collectionId} \
  --header 'Authorization: Bearer <token>'
{
  "collection_id": "<string>",
  "name": "<string>",
  "member_count": 4503599627370495,
  "creative_count": 4503599627370495,
  "asset_count": 4503599627370495,
  "attached_campaign_count": 4503599627370495,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "campaign_id": "<string>",
  "brand_agent_id": "<string>",
  "description": "<string>",
  "metadata": {},
  "members": [
    {
      "member_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "label": "<string>",
      "metadata": {},
      "creative": {
        "creative_id": "<string>",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "asset_count": 3,
        "campaign_id": "<string>",
        "format_id": {
          "id": "<string>",
          "agent_url": "<string>",
          "width": 123,
          "height": 123,
          "duration_ms": 123
        },
        "template_id": "<string>",
        "brand_domain": "<string>",
        "preview_url": "<string>",
        "requires_upgrade": true,
        "sync_status": {
          "synced": true,
          "agent_count": 0
        },
        "target_format_ids": [
          {
            "id": "<string>",
            "agent_url": "<string>",
            "width": 123,
            "height": 123,
            "duration_ms": 123
          }
        ]
      }
    }
  ],
  "attachments": [
    {
      "campaign_id": "<string>",
      "collection_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

campaignId
string
required
Minimum string length: 1
collectionId
string
required
Minimum string length: 1

Response

Get creative collection

A creative collection owned by an advertiser, campaign, or customer workspace.

collection_id
string
required
name
string
required
member_count
integer
required
Required range: 0 <= x <= 9007199254740991
creative_count
integer
required
Required range: 0 <= x <= 9007199254740991
asset_count
integer
required
Required range: 0 <= x <= 9007199254740991
attached_campaign_count
integer
required
Required range: 0 <= x <= 9007199254740991
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
campaign_id
string
brand_agent_id
string

Advertiser (brand agent) that owns this collection. Present when owner_scope is advertiser.

owner_scope
enum<string>

Derived scope: advertiser when brand_agent_id is set, campaign when campaign_id is set, otherwise customer.

Available options:
advertiser,
campaign,
customer
description
string | null
metadata
object
members
object[]
attachments
object[]